%define name sqlguimysql
%define version 0.1.1
%define release %mkrel 6
%define qtdir /usr/lib/qt3
%define major 0
%define libname %mklibname %name %major

Summary: 	SqlGui is a graphical database-frontend for KDE.
Name: 		%name
Version: 	%version
Release: 	%release
License:	BSD
URL:		http://www.sqlgui.org/
Group: 		Databases
Source: 	%{name}-%{version}.tar.bz2
Patch0:		%{name}-namespace.patch.bz2
Patch1:		%{name}.gcc.patch.bz2
Buildroot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: qt3-devel kdelibs-devel libmysql-devel
BuildRequires: XFree86-devel
BuildRequires: arts
BuildRequires: libart_lgpl-devel
BuildRequires: libpng-devel

%description
MySQL-plugin for SqlGui

%package -n %libname
Summary:    SqlGui is a graphical database-frontend for KDE.
Group:      Databases
Provides:	lib%name = %version-%release

%description -n %libname
MySQL-plugin for SqlGui

%package -n %libname-devel
Summary:    SqlGui is a graphical database-frontend for KDE.
Group:      Development/Other
Provides:   lib%name-devel = %version-%release
Requires:   %libname = %version-%release
Provides:   sqlgui-lib

%description -n %libname-devel
MySQL-plugin for SqlGui
This package contain develpment files.
%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}
%patch0 -p1 -b .stdout
%patch1 -p0 -b .gcccpp

%build
CFLAGS="$RPM_OPT_FLAGS -fPIC" CXXFLAGS="$RPM_OPT_FLAGS -fPIC" KDEDIR=%_includedir \
./configure --prefix=%{_prefix} --with-qt-dir=%{qtdir} --with-extra-libs=%_libdir/mysql \
--with-extra-includes=/usr/include/mysql --libdir=%_libdir
%make

%install

%makeinstall_std

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-,root,root)
%doc README COPYING TODO INSTALL ChangeLog AUTHORS
%{_libdir}/libsqlguimysql-%version.so

%files -n %libname-devel
%defattr(-,root,root)
%{_libdir}/*.la
%{_libdir}/libsqlguimysql.so
%dir %{_includedir}/sqlguimysql
%{_includedir}/sqlguimysql/*.h


%changelog
* Sat Jul 15 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-07-15 23:33:15 (41342)
- rebuild

* Sat Jul 15 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-07-15 23:20:18 (41337)
Import sqlguimysql

%changelog
* Sat May 07 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.1-5mdk
- fix 64bits build

* Tue Jun 15 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.1-4mdk
- Birthday rebuild
- Patch1: fix gcc error about char conversion

* Sun Apr 27 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.1-3mdk
- buildrequires (stefan spam :)

* Tue Mar 11 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.1-2mdk
- move provide sqlgui-lib in -devel
- 0.1.1 (forget previous changelog)

* Fri Mar 07 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1-2mdk
- introduce in contrib from club
- fix / clean up

* Thu Oct 22 2002 Torbjorn Turpeinen <tobbe@nyvalls.se>
- compiled for Mandrake9.0
# end of file
